### Function

# FwupdPlugin output_stream_write_bytes

#### Declaration [src]

    gboolean
    fu_output_stream_write_bytes (
      GOutputStream* stream,
      GBytes* bytes,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Write bytes into the stream, retrying as required. Will block during the operation.

Available since: | 2.0.12

#### Parameters

`stream` | `GOutputStream`
| A `GOutputStream`.
| The data is owned by the caller of the function.
`bytes` | `GBytes`
| A `GBytes`.
| The data is owned by the caller of the function.
`progress` | `FuProgress`
| Optional `FuProgress`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.